## Update Target Environment `client.vulnerabilityScanner.targetEnvironments.update(stringtargetEnvironmentId, TargetEnvironmentUpdateParamsparams, RequestOptionsoptions?): TargetEnvironmentUpdateResponse` **put** `/accounts/{account_id}/vuln_scanner/target_environments/{target_environment_id}` Replaces a target environment. All fields must be provided. ### Parameters - `targetEnvironmentId: string` - `params: TargetEnvironmentUpdateParams` - `account_id?: string` Path param: Identifier. - `name: string` Body param: Human-readable name. - `target: Target` Body param: Identifies the Cloudflare asset to scan. Uses a `type` discriminator. Currently the service supports only `zone` targets. - `type: "zone"` - `"zone"` - `zone_tag: string` Cloudflare zone tag. The zone must belong to the account. - `description?: string | null` Body param: Optional description. ### Returns - `TargetEnvironmentUpdateResponse` - `id: string` Target environment identifier. - `name: string` Human-readable name. - `target: Target` Identifies the Cloudflare asset to scan. Uses a `type` discriminator. Currently the service supports only `zone` targets. - `type: "zone"` - `"zone"` - `zone_tag: string` Cloudflare zone tag. The zone must belong to the account. - `description?: string | null` Optional description providing additional context. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const targetEnvironment = await client.vulnerabilityScanner.targetEnvironments.update( '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', name: 'Production Zone', target: { type: 'zone', zone_tag: 'd8e8fca2dc0f896fd7cb4cb0031ba249' }, }, ); console.log(targetEnvironment.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "name": "Production Zone", "target": { "type": "zone", "zone_tag": "d8e8fca2dc0f896fd7cb4cb0031ba249" }, "description": "Main production environment" }, "result_info": {} } ```